uses stdio;

const
  inname:pchar = 'indata';
  outname:pchar = 'outdata';

function fatal(s:pchar):integer;
begin
  perror (s);
  halt (1);
end;

var
  inf,outf:pfile;
begin
  inf := fopen (inname, 'r');
  if inf = nil then
    fatal ('Невозможно открыть входной файл');
  outf := fopen (outname, 'w');
  if outf = nil then
    fatal ('Невозможно открыть выходной файл');
  (* Выполняются какие-либо действия ... *)
  fclose (inf);
  fclose (outf);
  halt (0);
end.
